#! /usr/bin/perl -wT
use strict;
package MAM::WS;

use vars qw($clientConfig $localSiteConfig $log $VERSION &toHRT &toMFT);
use Carp;
use Exporter;
@MAM::WS::ISA = qw(Exporter);
@MAM::WS::EXPORT =
  qw($clientConfig $localSiteConfig $log $VERSION &toHRT &toMFT);

use Log::Log4perl qw(get_logger :levels);
use Config::Tiny;
use MAM::Global;
use MAM::Assignment;
use MAM::Condition;
use MAM::Selection;
use MAM::Option;
use MAM::Datum;
use MAM::Request;
use MAM::Response;
use MAM::Message;
use MAM::Reply;
use MAM::Client;

BEGIN
{
    # Read the Web Services Configuration File
    my $clientConfigFile = "/opt/mam/etc/mam-ws.conf";
    my $clientConfigTiny = Config::Tiny->new;
    $clientConfigTiny = Config::Tiny->read($clientConfigFile)
      or die(
        "Unable to open the gui configuration file ($clientConfigFile) for reading: $Config::Tiny::errstr\n");
    $clientConfig = $clientConfigTiny->{_};

    # Configure Logging
    Log::Log4perl::Logger::create_custom_level('TRACE', 'DEBUG')
      unless Log::Log4perl::Level::is_valid('TRACE');
    Log::Log4perl->init_once("$clientConfigFile");
    $log = get_logger('MAM');

    # Hard-code security.promotion to suidperl so it will obtain the key
    # by reading the site configuration file rather than using mam-auth.
    $clientConfig->{'security.promotion'} = 'suidperl';

    # Read the Site Configuration File
    my $siteConfigFile = "/opt/mam/etc/mam-site.conf";
    my $siteConfigTiny = Config::Tiny->new;
    $siteConfigTiny = Config::Tiny->read($siteConfigFile)
      or die(
        "Unable to open the site configuration file ($siteConfigFile) for reading: $!\n"
      );
    $localSiteConfig = $siteConfigTiny->{_};
}

1;
