CREATE TABLE g_action (
    g_object character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_display character varying(5),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_action_log (
    g_object character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_display character varying(5),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_attribute (
    g_object character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_data_type character varying(1024),
    g_primary_key character varying(5),
    g_required character varying(5),
    g_fixed character varying(5),
    g_values character varying(1024),
    g_default_value character varying(1024),
    g_sequence integer,
    g_hidden character varying(5),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_attribute_log (
    g_object character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_data_type character varying(1024),
    g_primary_key character varying(5),
    g_required character varying(5),
    g_fixed character varying(5),
    g_values character varying(1024),
    g_default_value character varying(1024),
    g_sequence integer,
    g_hidden character varying(5),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_event (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_fire_command character varying(1024),
    g_arm_time integer,
    g_fire_time integer,
    g_rearm_period character varying(1024),
    g_end_time integer,
    g_notify character varying(1024),
    g_rearm_on_failure character varying(5),
    g_failure_command character varying(1024),
    g_catch_up character varying(5),
    g_description character varying(1024)
);

CREATE TABLE g_event_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_fire_command character varying(1024),
    g_arm_time integer,
    g_fire_time integer,
    g_rearm_period character varying(1024),
    g_end_time integer,
    g_notify character varying(1024),
    g_rearm_on_failure character varying(5),
    g_failure_command character varying(1024),
    g_catch_up character varying(5),
    g_description character varying(1024)
);

CREATE TABLE g_key_generator (
    g_name character varying(1024) NOT NULL,
    g_next_id integer NOT NULL
);

CREATE TABLE g_notification (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_event integer,
    g_type character varying(1024),
    g_status character varying(1024),
    g_code character varying(1024),
    g_message character varying(1024),
    g_key character varying(1024),
    g_recipient character varying(1024),
    g_end_time integer
);

CREATE TABLE g_notification_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_event integer,
    g_type character varying(1024),
    g_status character varying(1024),
    g_code character varying(1024),
    g_message character varying(1024),
    g_key character varying(1024),
    g_recipient character varying(1024),
    g_end_time integer
);

CREATE TABLE g_object (
    g_name character varying(1024) NOT NULL,
    g_association character varying(5),
    g_parent character varying(1024),
    g_child character varying(1024),
    g_default_value character varying(1024),
    g_auto_gen character varying(5),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_object_log (
    g_name character varying(1024) NOT NULL,
    g_association character varying(5),
    g_parent character varying(1024),
    g_child character varying(1024),
    g_default_value character varying(1024),
    g_auto_gen character varying(5),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_password (
    g_user character varying(1024) NOT NULL,
    g_password character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_password_log (
    g_user character varying(1024) NOT NULL,
    g_password character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_role (
    g_name character varying(1024) NOT NULL,
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_role_action (
    g_role character varying(1024) NOT NULL,
    g_object character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_instance character varying(1024) NOT NULL,
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_role_action_log (
    g_role character varying(1024) NOT NULL,
    g_object character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_instance character varying(1024) NOT NULL,
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_role_log (
    g_name character varying(1024) NOT NULL,
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_role_user (
    g_role character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_role_user_log (
    g_role character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_system (
    g_name character varying(1024) NOT NULL,
    g_version character varying(1024) NOT NULL,
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_system_log (
    g_name character varying(1024) NOT NULL,
    g_version character varying(1024) NOT NULL,
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_transaction (
    g_id integer NOT NULL,
    g_object character varying(1024) NOT NULL,
    g_action character varying(1024) NOT NULL,
    g_actor character varying(1024) NOT NULL,
    g_key character varying(1024),
    g_child character varying(1024),
    g_count integer,
    g_details character varying(1024),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_transaction_log (
    g_id integer NOT NULL,
    g_object character varying(1024) NOT NULL,
    g_action character varying(1024) NOT NULL,
    g_actor character varying(1024) NOT NULL,
    g_key character varying(1024),
    g_child character varying(1024),
    g_count integer,
    g_details character varying(1024),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_undo (
    g_request_id integer NOT NULL
);

CREATE TABLE g_user (
    g_name character varying(1024) NOT NULL,
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_user_log (
    g_name character varying(1024) NOT NULL,
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Query', 'True', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Undo', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Redo', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Refresh', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Prune', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Create', 'True', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Query', 'True', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Modify', 'True', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Delete', 'True', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Delete', 'True', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Modify', 'False', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Fire', 'False', 'Trigger an event', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Refresh', 'False', 'Delete stale events', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Delete', 'True', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Modify', 'False', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Send', 'False', 'Send Notification', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Refresh', 'False', 'Delete Stale Notifications', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Object Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Association', 'Boolean', 'False', 'False', 'False', NULL, 'False', 20, 'False', 'Is this an association?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Parent', 'String', 'False', 'False', 'False', '@Object', NULL, 30, 'False', 'Parent Association', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Child', 'String', 'False', 'False', 'False', '@Object', NULL, 40, 'False', 'Child Association', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'DefaultValue', 'String', 'False', 'False', 'False', NULL, NULL, 50, 'False', 'Default Value for this object', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'AutoGen', 'Boolean', 'False', 'False', 'False', NULL, 'False', 60, 'False', 'Should this object be Auto-Generated?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Object', 'String', 'True', 'True', 'True', '@Object', NULL, 10, 'False', 'Object name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 20, 'False', 'Attribute Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'DataType', 'String', 'False', 'False', 'True', '(AutoGen,Boolean,Currency,Float,Integer,JSON(:\w+)?,String,TimeStamp)', 'String', 30, 'False', 'Data Type', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'PrimaryKey', 'Boolean', 'False', 'False', 'False', NULL, 'False', 50, 'False', 'Is this a primary key?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Required', 'Boolean', 'False', 'False', 'False', NULL, 'False', 60, 'False', 'Must this be non-null?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Fixed', 'Boolean', 'False', 'False', 'False', NULL, 'False', 70, 'False', 'Is the Attribute Fixed?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Values', 'String', 'False', 'False', 'False', NULL, NULL, 80, 'False', 'List of allowed values', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'DefaultValue', 'String', 'False', 'False', 'False', NULL, NULL, 90, 'False', 'Default value', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Sequence', 'Integer', 'False', 'False', 'False', NULL, NULL, 100, 'False', 'Specifies ordering of attributes', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Hidden', 'Boolean', 'False', 'False', 'False', NULL, 'False', 110, 'False', 'Is the Attribute Hidden by default?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Object', 'String', 'True', 'True', 'True', '@Object', NULL, 10, 'False', 'Object Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 20, 'False', 'Action Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Display', 'Boolean', 'False', 'False', 'False', NULL, 'False', 30, 'False', 'Should this action be displayed?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Id', 'AutoGen', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Transaction Record Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Object', 'String', 'False', 'True', 'False', NULL, NULL, 20, 'False', 'Object', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Action', 'String', 'False', 'True', 'False', NULL, NULL, 30, 'False', 'Action', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Actor', 'String', 'False', 'True', 'False', NULL, NULL, 40, 'False', 'Authenticated User making the request', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Key', 'String', 'False', 'False', 'False', NULL, NULL, 50, 'False', 'Object Primary Key Value', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Child', 'String', 'False', 'False', 'False', NULL, NULL, 60, 'False', 'Child Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Count', 'Integer', 'False', 'False', 'False', NULL, NULL, 130, 'False', 'Object Count', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Details', 'String', 'False', 'False', 'False', NULL, NULL, 170, 'True', 'Transaction Details', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'System Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Version', 'String', 'False', 'True', 'False', NULL, NULL, 20, 'False', 'System Version', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this Object Deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'User Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this Object Deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Role Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this Object Deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Role', 'String', 'True', 'True', 'True', '@Role', NULL, 10, 'False', 'Parent Role Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Object', 'String', 'True', 'True', 'True', '@Object', NULL, 20, 'False', 'Child Object Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 30, 'False', 'Child Action Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Instance', 'String', 'False', 'False', 'False', NULL, 'ANY', 40, 'False', 'Object Instance Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this Object Deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Role', 'String', 'True', 'True', 'True', '@Role', NULL, 10, 'False', 'Parent Role Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Name', 'String', 'True', 'True', 'True', '@User', NULL, 20, 'False', 'Child User Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this Object Deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'User', 'String', 'True', 'True', 'True', '@User', NULL, 10, 'False', 'User Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Password', 'String', 'False', 'False', 'False', NULL, NULL, 20, 'False', 'Password', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this Object Deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Id', 'AutoGen', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Event Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'FireCommand', 'String', 'False', 'True', 'False', NULL, NULL, 20, 'False', 'Command To Execute When Fired', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'ArmTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 30, 'False', 'Lap Start Time', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'FireTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 40, 'False', 'Target Fire Time', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'RearmPeriod', 'String', 'False', 'False', 'False', NULL, NULL, 50, 'False', 'Repeat Frequency', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'EndTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 60, 'False', 'End Time', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Notify', 'String', 'False', 'False', 'False', NULL, 'Store:', 70, 'False', 'Notification URL', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'RearmOnFailure', 'Boolean', 'False', 'False', 'False', NULL, 'False', 80, 'False', 'Rearm Event On Failure?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'FailureCommand', 'String', 'False', 'False', 'False', NULL, NULL, 90, 'False', 'Command To Execute On Failure', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'CatchUp', 'Boolean', 'False', 'False', 'False', NULL, 'True', 100, 'False', 'Progressively Fire Past Due Events?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Event Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Id', 'AutoGen', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Notification Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Event', 'Integer', 'False', 'True', 'True', '@Event', NULL, 20, 'False', 'Event Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Type', 'String', 'False', 'False', 'False', NULL, NULL, 30, 'False', 'Notification Type', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Status', 'String', 'False', 'True', 'False', NULL, NULL, 40, 'False', 'Event Command Status', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Code', 'String', 'False', 'True', 'False', NULL, NULL, 50, 'False', 'Event Command Exit Code', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Message', 'String', 'False', 'False', 'False', NULL, NULL, 60, 'False', 'Event Command Message', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Key', 'String', 'False', 'False', 'False', NULL, NULL, 70, 'False', 'Object Primary Key Value', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Recipient', 'String', 'False', 'False', 'False', NULL, NULL, 80, 'False', 'Recipient to Notify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'EndTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 90, 'False', 'When does this Notification Expire?', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_event (g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id, g_id, g_fire_command, g_arm_time, g_fire_time, g_rearm_period, g_end_time, g_notify, g_rearm_on_failure, g_failure_command, g_catch_up, g_description) VALUES (1486408121, 1486408121, 'False', 0, 0, 1, 'Notification Refresh', 1486408121, 1486408121, '1 day @ hour 2', NULL, 'Store:', 'True', NULL, 'False', 'Delete Stale Notifications');

INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Event', 2);
INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Notification', 1);
INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Request', 1);
INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Transaction', 1);

INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'False', NULL, NULL, NULL, 'False', 'Object', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'False', NULL, NULL, NULL, 'False', 'Attribute', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'False', NULL, NULL, NULL, 'False', 'Action', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'False', NULL, NULL, NULL, 'False', 'Transaction Log', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'False', NULL, NULL, NULL, 'False', 'System', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'False', NULL, NULL, NULL, 'False', 'User', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'False', NULL, NULL, NULL, 'False', 'Role', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'True', 'Role', 'Action', NULL, 'False', 'Role Action Association', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'True', 'Role', 'User', NULL, 'False', 'Role User Association', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'False', NULL, NULL, NULL, 'False', 'Password', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'False', NULL, NULL, NULL, 'False', 'Scheduled Event', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'False', NULL, NULL, NULL, 'False', 'Event Notification', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_role (g_name, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('SystemAdmin', 'Can update or view any object', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role (g_name, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'Things that can be done by anybody', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role (g_name, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('OVERRIDE', 'A custom authorization method will be invoked', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('SystemAdmin', 'ANY', 'ANY', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'ANY', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'Password', 'ANY', 'SELF', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_role_user (g_role, g_name, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('SystemAdmin', 'mam', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_user (g_role, g_name, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'ANY', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_system (g_name, g_version, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Moab Accounting Manager', '9.1', 'Commercial Release', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_user (g_name, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('mam', 'Accounting Admin', 1486408121, 1486408121, 'False', 0, 0);

CREATE INDEX g_action_deleted_idx ON g_action (g_deleted);

CREATE INDEX g_action_name_idx ON g_action (g_name);

CREATE INDEX g_action_object_idx ON g_action (g_object);

CREATE INDEX g_action_txnid_idx ON g_action (g_transaction_id);

CREATE INDEX g_attribute_deleted_idx ON g_attribute (g_deleted);

CREATE INDEX g_attribute_name_idx ON g_attribute (g_name);

CREATE INDEX g_attribute_object_idx ON g_attribute (g_object);

CREATE INDEX g_attribute_txnid_idx ON g_attribute (g_transaction_id);

CREATE INDEX g_event_deleted_idx ON g_event (g_deleted);

CREATE INDEX g_event_id_idx ON g_event (g_id);

CREATE INDEX g_event_txnid_idx ON g_event (g_transaction_id);

CREATE INDEX g_key_generator_name_idx ON g_key_generator (g_name);

CREATE INDEX g_notification_deleted_idx ON g_notification (g_deleted);

CREATE INDEX g_notification_id_idx ON g_notification (g_id);

CREATE INDEX g_notification_txnid_idx ON g_notification (g_transaction_id);

CREATE INDEX g_object_deleted_idx ON g_object (g_deleted);

CREATE INDEX g_object_name_idx ON g_object (g_name);

CREATE INDEX g_object_txnid_idx ON g_object (g_transaction_id);

CREATE INDEX g_password_deleted_idx ON g_password (g_deleted);

CREATE INDEX g_password_txnid_idx ON g_password (g_transaction_id);

CREATE INDEX g_password_user_idx ON g_password (g_user);

CREATE INDEX g_role_action_deleted_idx ON g_role_action (g_deleted);

CREATE INDEX g_role_action_name_idx ON g_role_action (g_name);

CREATE INDEX g_role_action_role_idx ON g_role_action (g_role);

CREATE INDEX g_role_action_txnid_idx ON g_role_action (g_transaction_id);

CREATE INDEX g_role_deleted_idx ON g_role (g_deleted);

CREATE INDEX g_role_name_idx ON g_role (g_name);

CREATE INDEX g_role_txnid_idx ON g_role (g_transaction_id);

CREATE INDEX g_role_user_deleted_idx ON g_role_user (g_deleted);

CREATE INDEX g_role_user_name_idx ON g_role_user (g_name);

CREATE INDEX g_role_user_role_idx ON g_role_user (g_role);

CREATE INDEX g_role_user_txnid_idx ON g_role_user (g_transaction_id);

CREATE INDEX g_system_deleted_idx ON g_system (g_deleted);

CREATE INDEX g_system_name_idx ON g_system (g_name);

CREATE INDEX g_system_txnid_idx ON g_system (g_transaction_id);

CREATE INDEX g_transaction_created_idx ON g_transaction (g_creation_time);

CREATE INDEX g_transaction_deleted_idx ON g_transaction (g_deleted);

CREATE INDEX g_transaction_id_idx ON g_transaction (g_id);

CREATE INDEX g_transaction_txnid_idx ON g_transaction (g_transaction_id);

CREATE INDEX g_user_deleted_idx ON g_user (g_deleted);

CREATE INDEX g_user_name_idx ON g_user (g_name);

CREATE INDEX g_user_txnid_idx ON g_user (g_transaction_id);

