#!/bin/bash
# Clear out funds, usage records, etc. so we can run another use case

mam-shell User Delete \(Description\!~"*Admin" \|\| Description==NULL\)
mam-shell Account Delete
mam-shell Organization Delete
mam-shell Fund Delete
mam-shell Allocation Delete
mam-shell Lien Delete
mam-shell Quote Delete
mam-shell UsageRecord Delete
mam-shell ChargeRate Delete
mam-shell Charge Delete
mam-shell Event Delete
mam-shell Action Create Object=Transaction Name=Delete
mam-shell Transaction Delete
mam-shell Action Delete Object==Transaction Name==Delete

# Restore the accounting mode and currency precision
if [[ -e /opt/mam/etc/mam-server.conf.initsave ]]; then
  cp /opt/mam/etc/mam-server.conf.initsave /opt/mam/etc/mam-server.conf
fi
if [[ -e /opt/mam/etc/mam-client.conf.initsave ]]; then
  cp /opt/mam/etc/mam-client.conf.initsave /opt/mam/etc/mam-client.conf
fi
# mam-server -r can be killed if MAM was started with systemd
mam-server -k
mam-server
