#! /usr/bin/perl -wT
################################################################################
#
# Frameset for Web GUI
#
# File   :  index.cgi
#
################################################################################
#
#    This file includes parts which are copyrighted by Adaptive Computing
#    Enterprises, Inc., and parts which are copyrighted by Battelle Memorial
#    Institute.
#
#    The terms and conditions for the use and redistribution of these parts
#    are governed by the Moab Accounting Manager License and the BSD License
#    respectively. Refer to the LICENSE file for details.
#
#    Copyright (C) 2006 - 2016 by Adaptive Computing Enterprises, Inc.
#    All Rights Reserved.
#
#    The Moab Accounting Manager License specifies the terms and conditions
#    for use and redistribution.
#
#    The Moab Accounting Manager License applies to the Moab Accounting
#    Manager software offered by Adaptive Computing Enterprises, Inc.
#    By installing or using this software, Licensee accepts a non-exclusive
#    license from Adaptive Computing Enterprises, Inc. and is bound to accept
#    acknowledgement of and abide by the notices and conditions of the
#    Moab Accounting Manager License.
#
#    Copyright (C) 2003 - 2005 Pacific Northwest National Laboratory,
#    Battelle Memorial Institute. All rights reserved.
#
#    The BSD License specifies the terms and conditions for use and
#    redistribution.
#
#    Redistribution and use in source and binary forms, with or without
#    modification, are permitted provided that the following conditions
#    are met:
#
#    - Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
#    - Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
#    - Neither the name of Battelle nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
#    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
#    FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
#    COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
#    INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
#    BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
#    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#    CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
#    LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
#    ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
#    POSSIBILITY OF SUCH DAMAGE.
#
################################################################################

use strict;
use lib qw(/opt/mam/lib /opt/mam/lib/perl5);
use CGI qw(:standard);
use CGI::Session;
use MAM::Global;

my $cgi = new CGI;
my $session = new CGI::Session(undef, $cgi, {Directory => "/tmp"});

my $start = defined $cgi->param('start') ? $cgi->param('start') : 'welcome';
$start = 'welcome' unless grep $start eq $_, ('login', 'welcome');
$session->clear() if $start eq 'login';

print $cgi->header;
print_frameset();

# Print the frameset
sub print_frameset
{
    print <<EOF;
<html>
  <head>
    <title>Welcome to $PRODUCT</title>
  </head>
  <frameset cols="190,*" framespacing="0" border="1">
    <frame src="navbar.cgi" name="navbar" scrolling="auto" frameborder="0" title="Navigation Frame">
    <frameset rows="3*,*" framespacing="0" border="1">
      <frame src="${start}.cgi" name="action" scrolling="yes" frameborder="0" title="Action Frame">
      <frame src="status.cgi" name="mamstatusbar" scrolling="yes" frameborder="0" title="Status Frame">
      <noframes>
You must have a frames-capable browser to use the $PRODUCT Web Interface.  Please download the latest version of <a href="http://www.mozilla.org">Firefox</a>, <a href="http://www.netscape.com">Netscape</a>, or <a href="http://www.microsoft.com/windows/ie/default.htm">Internet Explorer</a>.
      </noframes>
    </frameset>
    <noframes>
You must have a frames-capable browser to use the $PRODUCT Web Interface.  Please download the latest version of <a href="http://www.mozilla.org">Firefox</a>, <a href="http://www.netscape.com">Netscape</a>, or <a href="http://www.microsoft.com/windows/ie/default.htm">Internet Explorer</a>.
    </noframes>
  </frameset>
</html>
EOF
    exit 0;
}
