CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';

CREATE TABLE g_account (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_name character varying(1024),
    g_active character varying(5),
    g_organization character varying(1024),
    g_description character varying(1024)
);

CREATE TABLE g_account_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_name character varying(1024),
    g_active character varying(5),
    g_organization character varying(1024),
    g_description character varying(1024)
);

CREATE TABLE g_account_user (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_account character varying(1024),
    g_name character varying(1024),
    g_active character varying(5),
    g_admin character varying(5)
);

CREATE TABLE g_account_user_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_account character varying(1024),
    g_name character varying(1024),
    g_active character varying(5),
    g_admin character varying(5)
);

CREATE TABLE g_action (
    g_object character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_display character varying(5),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_action_log (
    g_object character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_display character varying(5),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_allocation (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_fund integer,
    g_start_time integer,
    g_end_time integer,
    g_amount double precision,
    g_credit_limit double precision,
    g_initial_deposit double precision,
    g_allocated double precision,
    g_active character varying(5),
    g_description character varying(1024)
);

CREATE TABLE g_allocation_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_fund integer,
    g_start_time integer,
    g_end_time integer,
    g_amount double precision,
    g_credit_limit double precision,
    g_initial_deposit double precision,
    g_allocated double precision,
    g_active character varying(5),
    g_description character varying(1024)
);

CREATE TABLE g_attribute (
    g_object character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_data_type character varying(1024),
    g_primary_key character varying(5),
    g_required character varying(5),
    g_fixed character varying(5),
    g_values character varying(1024),
    g_default_value character varying(1024),
    g_sequence integer,
    g_hidden character varying(5),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_attribute_log (
    g_object character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_data_type character varying(1024),
    g_primary_key character varying(5),
    g_required character varying(5),
    g_fixed character varying(5),
    g_values character varying(1024),
    g_default_value character varying(1024),
    g_sequence integer,
    g_hidden character varying(5),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_charge (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_usage_record integer,
    g_instance character varying(1024),
    g_name character varying(1024),
    g_value character varying(1024),
    g_duration integer,
    g_rate character varying(1024),
    g_scaling_factor double precision,
    g_amount double precision,
    g_details character varying(1024),
    g_description character varying(1024)
);

CREATE TABLE g_charge_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_usage_record integer,
    g_instance character varying(1024),
    g_name character varying(1024),
    g_value character varying(1024),
    g_duration integer,
    g_rate character varying(1024),
    g_scaling_factor double precision,
    g_amount double precision,
    g_details character varying(1024),
    g_description character varying(1024)
);

CREATE TABLE g_charge_rate (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_name character varying(1024),
    g_value character varying(1024),
    g_amount character varying(1024),
    g_description character varying(1024)
);

CREATE TABLE g_charge_rate_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_name character varying(1024),
    g_value character varying(1024),
    g_amount character varying(1024),
    g_description character varying(1024)
);

CREATE TABLE g_constraint (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_fund integer,
    g_name character varying(1024),
    g_value character varying(1024)
);

CREATE TABLE g_constraint_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_fund integer,
    g_name character varying(1024),
    g_value character varying(1024)
);

CREATE TABLE g_event (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_fire_command character varying(1024),
    g_arm_time integer,
    g_fire_time integer,
    g_rearm_period character varying(1024),
    g_end_time integer,
    g_notify character varying(1024),
    g_rearm_on_failure character varying(5),
    g_failure_command character varying(1024),
    g_catch_up character varying(5),
    g_description character varying(1024)
);

CREATE TABLE g_event_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_fire_command character varying(1024),
    g_arm_time integer,
    g_fire_time integer,
    g_rearm_period character varying(1024),
    g_end_time integer,
    g_notify character varying(1024),
    g_rearm_on_failure character varying(5),
    g_failure_command character varying(1024),
    g_catch_up character varying(5),
    g_description character varying(1024)
);

CREATE TABLE g_fund (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_name character varying(1024),
    g_priority integer,
    g_default_deposit double precision,
    g_description character varying(1024)
);

CREATE TABLE g_fund_fund (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_fund integer,
    g_id integer,
    g_deposit_share integer,
    g_overflow character varying(5)
);

CREATE TABLE g_fund_fund_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_fund integer,
    g_id integer,
    g_deposit_share integer,
    g_overflow character varying(5)
);

CREATE TABLE g_fund_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_name character varying(1024),
    g_priority integer,
    g_default_deposit double precision,
    g_description character varying(1024)
);

CREATE TABLE g_key_generator (
    g_name character varying(1024) NOT NULL,
    g_next_id integer NOT NULL
);

CREATE TABLE g_lien (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_instance character varying(1024),
    g_usage_record integer,
    g_start_time integer,
    g_end_time integer,
    g_duration integer,
    g_description character varying(1024)
);

CREATE TABLE g_lien_allocation (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_lien integer,
    g_id integer,
    g_fund integer,
    g_amount double precision
);

CREATE TABLE g_lien_allocation_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_lien integer,
    g_id integer,
    g_fund integer,
    g_amount double precision
);

CREATE TABLE g_lien_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_instance character varying(1024),
    g_usage_record integer,
    g_start_time integer,
    g_end_time integer,
    g_duration integer,
    g_description character varying(1024)
);

CREATE TABLE g_notification (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_event integer,
    g_type character varying(1024),
    g_status character varying(1024),
    g_code character varying(1024),
    g_message character varying(1024),
    g_key character varying(1024),
    g_recipient character varying(1024),
    g_end_time integer
);

CREATE TABLE g_notification_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_event integer,
    g_type character varying(1024),
    g_status character varying(1024),
    g_code character varying(1024),
    g_message character varying(1024),
    g_key character varying(1024),
    g_recipient character varying(1024),
    g_end_time integer
);

CREATE TABLE g_object (
    g_name character varying(1024) NOT NULL,
    g_association character varying(5),
    g_parent character varying(1024),
    g_child character varying(1024),
    g_default_value character varying(1024),
    g_auto_gen character varying(5),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_object_log (
    g_name character varying(1024) NOT NULL,
    g_association character varying(5),
    g_parent character varying(1024),
    g_child character varying(1024),
    g_default_value character varying(1024),
    g_auto_gen character varying(5),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_organization (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_name character varying(1024),
    g_description character varying(1024)
);

CREATE TABLE g_organization_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_name character varying(1024),
    g_description character varying(1024)
);

CREATE TABLE g_password (
    g_user character varying(1024) NOT NULL,
    g_password character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_password_log (
    g_user character varying(1024) NOT NULL,
    g_password character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_quote (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_amount double precision,
    g_pinned character varying(5),
    g_instance character varying(1024),
    g_usage_record integer,
    g_start_time integer,
    g_end_time integer,
    g_duration integer,
    g_description character varying(1024)
);

CREATE TABLE g_quote_charge_rate (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_quote integer,
    g_name character varying(1024),
    g_value character varying(1024),
    g_amount character varying(1024)
);

CREATE TABLE g_quote_charge_rate_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_quote integer,
    g_name character varying(1024),
    g_value character varying(1024),
    g_amount character varying(1024)
);

CREATE TABLE g_quote_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_amount double precision,
    g_pinned character varying(5),
    g_instance character varying(1024),
    g_usage_record integer,
    g_start_time integer,
    g_end_time integer,
    g_duration integer,
    g_description character varying(1024)
);

CREATE TABLE g_role (
    g_name character varying(1024) NOT NULL,
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_role_action (
    g_role character varying(1024) NOT NULL,
    g_object character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_instance character varying(1024) NOT NULL,
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_role_action_log (
    g_role character varying(1024) NOT NULL,
    g_object character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_instance character varying(1024) NOT NULL,
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_role_log (
    g_name character varying(1024) NOT NULL,
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_role_user (
    g_role character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_role_user_log (
    g_role character varying(1024) NOT NULL,
    g_name character varying(1024) NOT NULL,
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_system (
    g_name character varying(1024) NOT NULL,
    g_version character varying(1024) NOT NULL,
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_system_log (
    g_name character varying(1024) NOT NULL,
    g_version character varying(1024) NOT NULL,
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL
);

CREATE TABLE g_transaction (
    g_id integer NOT NULL,
    g_object character varying(1024) NOT NULL,
    g_action character varying(1024) NOT NULL,
    g_actor character varying(1024) NOT NULL,
    g_key character varying(1024),
    g_child character varying(1024),
    g_count integer,
    g_details character varying(1024),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_instance character varying(1024),
    g_amount double precision,
    g_delta double precision,
    g_balance double precision,
    g_remaining double precision,
    g_user character varying(1024),
    g_account character varying(1024),
    g_machine character varying(1024),
    g_fund integer,
    g_allocation integer,
    g_usage_record integer,
    g_duration integer
);

CREATE TABLE g_transaction_log (
    g_id integer NOT NULL,
    g_object character varying(1024) NOT NULL,
    g_action character varying(1024) NOT NULL,
    g_actor character varying(1024) NOT NULL,
    g_key character varying(1024),
    g_child character varying(1024),
    g_count integer,
    g_details character varying(1024),
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_instance character varying(1024),
    g_amount double precision,
    g_delta double precision,
    g_balance double precision,
    g_remaining double precision,
    g_user character varying(1024),
    g_account character varying(1024),
    g_machine character varying(1024),
    g_fund integer,
    g_allocation integer,
    g_usage_record integer,
    g_duration integer
);

CREATE TABLE g_undo (
    g_request_id integer NOT NULL
);

CREATE TABLE g_usage_record (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_type character varying(1024),
    g_instance character varying(1024),
    g_charge double precision,
    g_stage character varying(1024),
    g_quote integer,
    g_user character varying(1024),
    g_group character varying(1024),
    g_account character varying(1024),
    g_organization character varying(1024),
    g_class character varying(1024),
    g_quality_of_service character varying(1024),
    g_machine character varying(1024),
    g_nodes integer,
    g_processors integer,
    g_c_p_u_time double precision,
    g_memory double precision,
    g_resources text,
    g_licenses text,
    g_metrics text,
    g_variables text,
    g_duration integer,
    g_requested_duration integer,
    g_submit_time integer,
    g_start_time integer,
    g_end_time integer,
    g_exit_code integer,
    g_description character varying(1024)
);

CREATE TABLE g_usage_record_log (
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_id integer,
    g_type character varying(1024),
    g_instance character varying(1024),
    g_charge double precision,
    g_stage character varying(1024),
    g_quote integer,
    g_user character varying(1024),
    g_group character varying(1024),
    g_account character varying(1024),
    g_organization character varying(1024),
    g_class character varying(1024),
    g_quality_of_service character varying(1024),
    g_machine character varying(1024),
    g_nodes integer,
    g_processors integer,
    g_c_p_u_time double precision,
    g_memory double precision,
    g_resources text,
    g_licenses text,
    g_metrics text,
    g_variables text,
    g_duration integer,
    g_requested_duration integer,
    g_submit_time integer,
    g_start_time integer,
    g_end_time integer,
    g_exit_code integer,
    g_description character varying(1024)
);

CREATE TABLE g_user (
    g_name character varying(1024) NOT NULL,
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_active character varying(5),
    g_common_name character varying(1024),
    g_phone_number character varying(1024),
    g_email_address character varying(1024),
    g_default_account character varying(1024)
);

CREATE TABLE g_user_log (
    g_name character varying(1024) NOT NULL,
    g_description character varying(1024),
    g_creation_time integer NOT NULL,
    g_modification_time integer NOT NULL,
    g_deleted character varying(5) DEFAULT 'False',
    g_request_id integer NOT NULL,
    g_transaction_id integer NOT NULL,
    g_active character varying(5),
    g_common_name character varying(1024),
    g_phone_number character varying(1024),
    g_email_address character varying(1024),
    g_default_account character varying(1024)
);

INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Query', 'True', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Undo', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Redo', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Refresh', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Prune', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Create', 'True', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Query', 'True', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Modify', 'True', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Delete', 'True', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Create', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Query', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Modify', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Delete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Undelete', 'False', NULL, 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Delete', 'True', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Modify', 'False', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Fire', 'False', 'Trigger an event', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Refresh', 'False', 'Delete stale events', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Delete', 'True', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Modify', 'False', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Send', 'False', 'Send Notification', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Refresh', 'False', 'Delete Stale Notifications', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'Create', 'True', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'Modify', 'True', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'Delete', 'True', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'Create', 'True', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'Modify', 'True', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'Delete', 'True', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'Delete', 'False', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'Modify', 'False', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Withdraw', 'True', 'Withdraw', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Deposit', 'True', 'Deposit', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Transfer', 'True', 'Transfer', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Stop', 'False', 'End current Allocation', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Reset', 'True', 'Create new default Allocation', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Create', 'True', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Modify', 'True', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Delete', 'True', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'Delete', 'False', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'Modify', 'False', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'Query', 'False', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'Delete', 'False', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'Modify', 'False', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'Query', 'False', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Refresh', 'False', 'Refresh', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Modify', 'True', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Delete', 'True', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'Modify', 'False', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'Delete', 'True', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'Delete', 'False', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'Modify', 'False', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'Modify', 'False', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'Delete', 'True', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'Create', 'True', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'Modify', 'True', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'Delete', 'True', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'Delete', 'False', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'Modify', 'False', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Charge', 'False', 'Charge for Usage', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Reserve', 'False', 'Make a Usage Lien', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Quote', 'False', 'Request a Quote for Usage', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Refund', 'True', 'Refund Usage', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Create', 'True', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Modify', 'True', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Delete', 'True', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Create', 'False', 'Create', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Delete', 'False', 'Delete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Modify', 'False', 'Modify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Undelete', 'False', 'Undelete', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_action (g_object, g_name, g_display, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Query', 'True', 'Query', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Object Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Association', 'Boolean', 'False', 'False', 'False', NULL, 'False', 20, 'False', 'Is this an association?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Parent', 'String', 'False', 'False', 'False', '@Object', NULL, 30, 'False', 'Parent Association', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Child', 'String', 'False', 'False', 'False', '@Object', NULL, 40, 'False', 'Child Association', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'DefaultValue', 'String', 'False', 'False', 'False', NULL, NULL, 50, 'False', 'Default Value for this object', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'AutoGen', 'Boolean', 'False', 'False', 'False', NULL, 'False', 60, 'False', 'Should this object be Auto-Generated?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Object', 'String', 'True', 'True', 'True', '@Object', NULL, 10, 'False', 'Object name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 20, 'False', 'Attribute Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'DataType', 'String', 'False', 'False', 'True', '(AutoGen,Boolean,Currency,Float,Integer,JSON(:\w+)?,String,TimeStamp)', 'String', 30, 'False', 'Data Type', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'PrimaryKey', 'Boolean', 'False', 'False', 'False', NULL, 'False', 50, 'False', 'Is this a primary key?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Required', 'Boolean', 'False', 'False', 'False', NULL, 'False', 60, 'False', 'Must this be non-null?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Fixed', 'Boolean', 'False', 'False', 'False', NULL, 'False', 70, 'False', 'Is the Attribute Fixed?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Values', 'String', 'False', 'False', 'False', NULL, NULL, 80, 'False', 'List of allowed values', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'DefaultValue', 'String', 'False', 'False', 'False', NULL, NULL, 90, 'False', 'Default value', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Sequence', 'Integer', 'False', 'False', 'False', NULL, NULL, 100, 'False', 'Specifies ordering of attributes', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Hidden', 'Boolean', 'False', 'False', 'False', NULL, 'False', 110, 'False', 'Is the Attribute Hidden by default?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Object', 'String', 'True', 'True', 'True', '@Object', NULL, 10, 'False', 'Object Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 20, 'False', 'Action Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Display', 'Boolean', 'False', 'False', 'False', NULL, 'False', 30, 'False', 'Should this action be displayed?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Id', 'AutoGen', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Transaction Record Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Object', 'String', 'False', 'True', 'False', NULL, NULL, 20, 'False', 'Object', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Action', 'String', 'False', 'True', 'False', NULL, NULL, 30, 'False', 'Action', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Actor', 'String', 'False', 'True', 'False', NULL, NULL, 40, 'False', 'Authenticated User making the request', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Key', 'String', 'False', 'False', 'False', NULL, NULL, 50, 'False', 'Object Primary Key Value', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Child', 'String', 'False', 'False', 'False', NULL, NULL, 60, 'False', 'Child Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Count', 'Integer', 'False', 'False', 'False', NULL, NULL, 130, 'False', 'Object Count', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Details', 'String', 'False', 'False', 'False', NULL, NULL, 170, 'True', 'Transaction Details', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'System Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Version', 'String', 'False', 'True', 'False', NULL, NULL, 20, 'False', 'System Version', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this Object Deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'User Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this Object Deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Role Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this Object Deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Role', 'String', 'True', 'True', 'True', '@Role', NULL, 10, 'False', 'Parent Role Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Object', 'String', 'True', 'True', 'True', '@Object', NULL, 20, 'False', 'Child Object Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 30, 'False', 'Child Action Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Instance', 'String', 'False', 'False', 'False', NULL, 'ANY', 40, 'False', 'Object Instance Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this Object Deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Role', 'String', 'True', 'True', 'True', '@Role', NULL, 10, 'False', 'Parent Role Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Name', 'String', 'True', 'True', 'True', '@User', NULL, 20, 'False', 'Child User Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this Object Deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'User', 'String', 'True', 'True', 'True', '@User', NULL, 10, 'False', 'User Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Password', 'String', 'False', 'False', 'False', NULL, NULL, 20, 'False', 'Password', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'Time Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this Object Deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Id', 'AutoGen', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Event Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'FireCommand', 'String', 'False', 'True', 'False', NULL, NULL, 20, 'False', 'Command To Execute When Fired', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'ArmTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 30, 'False', 'Lap Start Time', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'FireTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 40, 'False', 'Target Fire Time', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'RearmPeriod', 'String', 'False', 'False', 'False', NULL, NULL, 50, 'False', 'Repeat Frequency', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'EndTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 60, 'False', 'End Time', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Notify', 'String', 'False', 'False', 'False', NULL, 'Store:', 70, 'False', 'Notification URL', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'RearmOnFailure', 'Boolean', 'False', 'False', 'False', NULL, 'False', 80, 'False', 'Rearm Event On Failure?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'FailureCommand', 'String', 'False', 'False', 'False', NULL, NULL, 90, 'False', 'Command To Execute On Failure', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'CatchUp', 'Boolean', 'False', 'False', 'False', NULL, 'True', 100, 'False', 'Progressively Fire Past Due Events?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Event Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Id', 'AutoGen', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Notification Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Event', 'Integer', 'False', 'True', 'True', '@Event', NULL, 20, 'False', 'Event Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Type', 'String', 'False', 'False', 'False', NULL, NULL, 30, 'False', 'Notification Type', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Status', 'String', 'False', 'True', 'False', NULL, NULL, 40, 'False', 'Event Command Status', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Code', 'String', 'False', 'True', 'False', NULL, NULL, 50, 'False', 'Event Command Exit Code', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Message', 'String', 'False', 'False', 'False', NULL, NULL, 60, 'False', 'Event Command Message', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Key', 'String', 'False', 'False', 'False', NULL, NULL, 70, 'False', 'Object Primary Key Value', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'Recipient', 'String', 'False', 'False', 'False', NULL, NULL, 80, 'False', 'Recipient to Notify', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'EndTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 90, 'False', 'When does this Notification Expire?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Instance', 'String', 'False', 'False', 'False', NULL, NULL, 180, 'False', 'Instance Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Amount', 'Currency', 'False', 'False', 'False', NULL, NULL, 190, 'False', 'Amount', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Delta', 'Currency', 'False', 'False', 'False', NULL, NULL, 200, 'False', 'Fund Delta', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Balance', 'Currency', 'False', 'False', 'False', NULL, NULL, 210, 'False', 'Resulting Active Balance', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Remaining', 'Currency', 'False', 'False', 'False', NULL, NULL, 220, 'False', 'Remaining Allocation Amount', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'User', 'String', 'False', 'False', 'False', NULL, NULL, 230, 'False', 'User Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Account', 'String', 'False', 'False', 'False', NULL, NULL, 240, 'False', 'Account Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Machine', 'String', 'False', 'False', 'False', NULL, NULL, 250, 'False', 'Machine Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Fund', 'Integer', 'False', 'False', 'False', NULL, NULL, 260, 'False', 'Fund Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Allocation', 'Integer', 'False', 'False', 'False', NULL, NULL, 270, 'False', 'Allocation Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'UsageRecord', 'Integer', 'False', 'False', 'False', NULL, NULL, 280, 'False', 'Usage Record Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'Duration', 'Integer', 'False', 'False', 'False', NULL, NULL, 290, 'False', 'Event Duration', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Organization Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Account Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'Active', 'Boolean', 'False', 'False', 'False', NULL, 'True', 20, 'False', 'Is the Account Active?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'Organization', 'String', 'False', 'False', 'False', '@!=Organization', NULL, 30, 'False', 'Organization', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'Active', 'Boolean', 'False', 'False', 'False', NULL, 'True', 20, 'False', 'Is the User Active?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'CommonName', 'String', 'False', 'False', 'False', NULL, NULL, 30, 'False', 'Full Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'PhoneNumber', 'String', 'False', 'False', 'False', NULL, NULL, 40, 'False', 'Phone Number', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'EmailAddress', 'String', 'False', 'False', 'False', NULL, NULL, 50, 'False', 'Email Address', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'DefaultAccount', 'String', 'False', 'False', 'False', '@?=Account', NULL, 60, 'False', 'Default Account', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'Account', 'String', 'True', 'True', 'True', '@Account', NULL, 10, 'False', 'Parent Account Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'Name', 'String', 'True', 'True', 'True', '@User', NULL, 20, 'False', 'Member User Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'Active', 'Boolean', 'False', 'False', 'False', NULL, 'True', 30, 'False', 'Is this sub-account Active?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'Admin', 'Boolean', 'False', 'False', 'False', NULL, 'False', 40, 'False', 'Is this user an Account Administrator?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Id', 'AutoGen', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Fund Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Name', 'String', 'False', 'False', 'False', NULL, NULL, 20, 'False', 'Fund Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Priority', 'Integer', 'False', 'False', 'False', NULL, '0', 30, 'False', 'Fund Priority', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'DefaultDeposit', 'Currency', 'False', 'False', 'False', NULL, NULL, 40, 'False', 'Default Deposit Amount', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'Fund', 'Integer', 'True', 'True', 'True', '@Fund', NULL, 10, 'False', 'Parent Fund Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'Id', 'Integer', 'True', 'True', 'True', '@Fund', NULL, 20, 'False', 'Child Fund Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'DepositShare', 'Integer', 'False', 'True', 'False', NULL, '0', 30, 'False', 'Deposit Share', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'Overflow', 'Boolean', 'False', 'False', 'False', NULL, 'False', 40, 'False', 'Do descendant charges overflow into this Fund?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'Id', 'AutoGen', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Constraint Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'Fund', 'Integer', 'False', 'True', 'True', '@Fund', NULL, 20, 'False', 'Fund Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'Name', 'String', 'False', 'True', 'False', NULL, NULL, 30, 'False', 'Constraint Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'Value', 'String', 'False', 'True', 'False', NULL, NULL, 40, 'False', 'Constraint Value', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Id', 'AutoGen', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Allocation Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Fund', 'Integer', 'False', 'True', 'True', '@Fund', NULL, 20, 'False', 'Fund Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'StartTime', 'TimeStamp', 'False', 'False', 'False', NULL, '-Infinity', 30, 'False', 'Start Time', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'EndTime', 'TimeStamp', 'False', 'False', 'False', NULL, 'Infinity', 40, 'False', 'End Time', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Amount', 'Currency', 'False', 'False', 'False', NULL, '0', 50, 'False', 'Amount', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'CreditLimit', 'Currency', 'False', 'False', 'False', NULL, 'Infinity', 60, 'False', 'Credit Limit', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'InitialDeposit', 'Currency', 'False', 'False', 'False', NULL, '0', 70, 'False', 'Initial Deposit', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Allocated', 'Currency', 'False', 'False', 'False', NULL, '0', 80, 'False', 'Adjusted Allocation', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Active', 'Boolean', 'False', 'False', 'False', NULL, 'True', 90, 'False', 'Is the Allocation Active?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'Id', 'AutoGen', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Lien Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'Instance', 'String', 'False', 'False', 'False', NULL, NULL, 20, 'False', 'Instance Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'UsageRecord', 'Integer', 'False', 'False', 'False', '@UsageRecord', NULL, 30, 'False', 'Usage Record Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'StartTime', 'TimeStamp', 'False', 'False', 'False', NULL, '-Infinity', 40, 'False', 'When does this Lien start?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'EndTime', 'TimeStamp', 'False', 'False', 'False', NULL, 'Infinity', 50, 'False', 'When does this Lien expire?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'Duration', 'Integer', 'False', 'False', 'False', NULL, NULL, 60, 'False', 'WallTime Estimate', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'Lien', 'Integer', 'True', 'True', 'True', '@Lien', NULL, 10, 'False', 'Parent Lien Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'Id', 'Integer', 'True', 'True', 'True', '@Allocation', NULL, 20, 'False', 'Child Allocation Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'Fund', 'Integer', 'False', 'True', 'False', '@Fund', NULL, 30, 'False', 'Fund Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'Amount', 'Currency', 'False', 'True', 'False', NULL, NULL, 40, 'False', 'Amount', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'Id', 'AutoGen', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Quote Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'Amount', 'Currency', 'False', 'False', 'False', NULL, NULL, 20, 'False', 'Charge Estimate', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'Pinned', 'Boolean', 'False', 'False', 'False', NULL, 'True', 30, 'False', 'Pinned to a single instance?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'Instance', 'String', 'False', 'False', 'False', NULL, NULL, 40, 'False', 'Instance Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'UsageRecord', 'Integer', 'False', 'False', 'False', '@UsageRecord', NULL, 50, 'False', 'Usage Record Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'StartTime', 'TimeStamp', 'False', 'True', 'False', NULL, NULL, 60, 'False', 'When does this Quote start?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'EndTime', 'TimeStamp', 'False', 'True', 'False', NULL, NULL, 70, 'False', 'When does this Quote expire?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'Duration', 'Integer', 'False', 'False', 'False', NULL, NULL, 80, 'False', 'WallTime Estimate', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Charge Rate Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'Value', 'String', 'True', 'False', 'True', NULL, '', 20, 'False', 'Charge Rate Value', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'Amount', 'String', 'False', 'True', 'False', NULL, NULL, 30, 'False', 'Charge Rate Amount', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'Quote', 'Integer', 'True', 'True', 'True', '@Quote', NULL, 10, 'False', 'Parent Quote Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'Name', 'String', 'True', 'True', 'True', NULL, NULL, 20, 'False', 'Charge Rate Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'Value', 'String', 'True', 'False', 'True', NULL, '', 30, 'False', 'Charge Rate Value', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'Amount', 'String', 'False', 'True', 'False', NULL, NULL, 40, 'False', 'Charge Rate Amount', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Id', 'AutoGen', 'True', 'True', 'True', NULL, NULL, 10, 'False', 'Usage Record Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Type', 'String', 'False', 'False', 'False', NULL, 'Job', 20, 'False', 'Usage Record Type', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Instance', 'String', 'False', 'False', 'False', NULL, NULL, 30, 'False', 'Instance Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Charge', 'Currency', 'False', 'False', 'False', NULL, '0', 40, 'False', 'Total Amount Charged for Usage', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Stage', 'String', 'False', 'False', 'False', NULL, NULL, 50, 'False', 'Latest Usage Stage', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Quote', 'Integer', 'False', 'False', 'False', '@Quote', NULL, 60, 'True', 'Quote Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'User', 'String', 'False', 'False', 'False', NULL, NULL, 70, 'False', 'User Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Group', 'String', 'False', 'False', 'False', NULL, NULL, 80, 'False', 'Group Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Account', 'String', 'False', 'False', 'False', NULL, NULL, 90, 'False', 'Account Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Organization', 'String', 'False', 'False', 'False', NULL, NULL, 100, 'False', 'Organization Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Class', 'String', 'False', 'False', 'False', NULL, NULL, 110, 'False', 'Class or Queue', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'QualityOfService', 'String', 'False', 'False', 'False', NULL, NULL, 120, 'False', 'Quality of Service', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Machine', 'String', 'False', 'False', 'False', NULL, NULL, 130, 'False', 'Machine Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Nodes', 'Integer', 'False', 'False', 'False', NULL, NULL, 140, 'False', 'Number of Nodes Used', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Processors', 'Integer', 'False', 'False', 'False', NULL, NULL, 150, 'False', 'Number of Processors Allocated to the Job', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'CPUTime', 'Float', 'False', 'False', 'False', NULL, NULL, 160, 'False', 'CPU Time Used', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Memory', 'Float', 'False', 'False', 'False', NULL, NULL, 170, 'False', 'Dedicated Memory', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Resources', 'JSON:Integer', 'False', 'False', 'False', NULL, NULL, 180, 'False', 'Generic Resources', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Licenses', 'JSON:Integer', 'False', 'False', 'False', NULL, NULL, 190, 'False', 'Licenses Used', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Metrics', 'JSON:Float', 'False', 'False', 'False', NULL, NULL, 200, 'False', 'Generic Metrics', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Variables', 'JSON:String', 'False', 'False', 'False', NULL, NULL, 210, 'False', 'Job Variables', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Duration', 'Integer', 'False', 'False', 'False', NULL, '0', 220, 'False', 'Actual Wallclock Time in seconds', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'RequestedDuration', 'Integer', 'False', 'False', 'False', NULL, NULL, 230, 'False', 'Requested Wallclock Time in seconds', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'SubmitTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 240, 'False', 'Submit Time', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'StartTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 250, 'False', 'Start Time', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'EndTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 260, 'False', 'Completion Time', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'ExitCode', 'Integer', 'False', 'False', 'False', NULL, NULL, 270, 'False', 'Exit Code', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 900, 'False', 'Description', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'CreationTime', 'TimeStamp', 'False', 'False', 'True', NULL, NULL, 950, 'True', 'First Created', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'ModificationTime', 'TimeStamp', 'False', 'False', 'False', NULL, NULL, 960, 'True', 'Last Updated', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Deleted', 'Boolean', 'False', 'False', 'False', NULL, 'False', 970, 'True', 'Is this object deleted?', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'RequestId', 'Integer', 'False', 'False', 'False', NULL, NULL, 980, 'True', 'Last Modifying Request Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'TransactionId', 'Integer', 'False', 'False', 'False', NULL, NULL, 990, 'True', 'Last Modifying Transaction Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'UsageRecord', 'Integer', 'False', 'True', 'False', NULL, NULL, 10, 'False', 'Usage Record Id', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Instance', 'String', 'False', 'False', 'False', NULL, NULL, 20, 'False', 'Instance Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Name', 'String', 'False', 'True', 'False', NULL, NULL, 30, 'False', 'Usage Property Name', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Value', 'String', 'False', 'True', 'False', NULL, NULL, 40, 'False', 'Usage Property Value', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Duration', 'Integer', 'False', 'False', 'False', NULL, NULL, 50, 'False', 'Usage Duration', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Rate', 'String', 'False', 'False', 'False', NULL, NULL, 60, 'False', 'Base Charge Rate', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'ScalingFactor', 'Float', 'False', 'False', 'False', NULL, NULL, 70, 'False', 'Product of Discounts and Premiums', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Amount', 'Currency', 'False', 'True', 'False', NULL, NULL, 80, 'False', 'Amount Charged', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Details', 'String', 'False', 'False', 'False', NULL, NULL, 90, 'False', 'Charge Calculation Details', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_attribute (g_object, g_name, g_data_type, g_primary_key, g_required, g_fixed, g_values, g_default_value, g_sequence, g_hidden, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'Description', 'String', 'False', 'False', 'False', NULL, NULL, 100, 'False', 'Charge Description', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_event (g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id, g_id, g_fire_command, g_arm_time, g_fire_time, g_rearm_period, g_end_time, g_notify, g_rearm_on_failure, g_failure_command, g_catch_up, g_description) VALUES (1486408121, 1486408121, 'False', 0, 0, 1, 'Notification Refresh', 1486408121, 1486408121, '1 day @ hour 2', NULL, 'Store:', 'True', NULL, 'False', 'Delete Stale Notifications');
INSERT INTO g_event (g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id, g_id, g_fire_command, g_arm_time, g_fire_time, g_rearm_period, g_end_time, g_notify, g_rearm_on_failure, g_failure_command, g_catch_up, g_description) VALUES (1486408121, 1486408121, 'False', 0, 0, 2, 'Allocation Refresh', 1486408121, 1486408121, '15 minutes^', NULL, 'Store:', 'True', NULL, 'False', 'Activate/Deactivate Stale Allocations');

INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Notification', 1);
INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Allocation', 1);
INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Request', 1);
INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Transaction', 1);
INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Lien', 1);
INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Quote', 1);
INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Event', 3);
INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Fund', 1);
INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('Constraint', 1);
INSERT INTO g_key_generator (g_name, g_next_id) VALUES ('UsageRecord', 1);

INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Object', 'False', NULL, NULL, NULL, 'False', 'Object', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Attribute', 'False', NULL, NULL, NULL, 'False', 'Attribute', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Action', 'False', NULL, NULL, NULL, 'False', 'Action', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Transaction', 'False', NULL, NULL, NULL, 'False', 'Transaction Log', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('System', 'False', NULL, NULL, NULL, 'False', 'System', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Role', 'False', NULL, NULL, NULL, 'False', 'Role', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleAction', 'True', 'Role', 'Action', NULL, 'False', 'Role Action Association', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('RoleUser', 'True', 'Role', 'User', NULL, 'False', 'Role User Association', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Password', 'False', NULL, NULL, NULL, 'False', 'Password', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Event', 'False', NULL, NULL, NULL, 'False', 'Scheduled Event', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Notification', 'False', NULL, NULL, NULL, 'False', 'Event Notification', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Organization', 'False', NULL, NULL, NULL, 'True', 'Virtual Organization', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Account', 'False', NULL, NULL, NULL, 'True', 'Account', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('User', 'False', NULL, NULL, NULL, 'True', 'User', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountUser', 'True', 'Account', 'User', NULL, 'False', 'Membership mapping Users to Accounts', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Fund', 'False', NULL, NULL, NULL, 'False', 'Fund', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('FundFund', 'True', 'Fund', 'Fund', NULL, 'False', 'Fund Deposit Linkage', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Constraint', 'False', NULL, NULL, NULL, 'False', 'Fund Constraint', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Allocation', 'False', NULL, NULL, NULL, 'False', 'Allocation', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Lien', 'False', NULL, NULL, NULL, 'False', 'Lien', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('LienAllocation', 'True', 'Lien', 'Allocation', NULL, 'False', 'Lien Allocation Association', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Quote', 'False', NULL, NULL, NULL, 'False', 'Quote', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('ChargeRate', 'False', NULL, NULL, NULL, 'False', 'Charge Rates', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('QuoteChargeRate', 'True', 'Quote', 'ChargeRate', NULL, 'False', 'Charge Rate guaranteed by the associated Quote', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UsageRecord', 'False', NULL, NULL, NULL, 'False', 'Usage Record', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_object (g_name, g_association, g_parent, g_child, g_default_value, g_auto_gen, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Charge', 'False', NULL, NULL, NULL, 'False', 'Charge Information', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_role (g_name, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('SystemAdmin', 'Can update or view any object', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role (g_name, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'Things that can be done by anybody', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role (g_name, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('OVERRIDE', 'A custom authorization method will be invoked', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role (g_name, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Scheduler', 'Scheduler relevant Transactions', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role (g_name, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UserServices', 'User Services', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role (g_name, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountAdmin', 'Can update or view an account they are admin for', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('SystemAdmin', 'ANY', 'ANY', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'Password', 'ANY', 'SELF', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Scheduler', 'UsageRecord', 'Create', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Scheduler', 'UsageRecord', 'Quote', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Scheduler', 'UsageRecord', 'Reserve', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Scheduler', 'UsageRecord', 'Charge', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Scheduler', 'Lien', 'Delete', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Scheduler', 'ANY', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UserServices', 'UsageRecord', 'Refund', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UserServices', 'User', 'ANY', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UserServices', 'Organization', 'ANY', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('UserServices', 'AccountUser', 'ANY', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('AccountAdmin', 'Account', 'ANY', 'ADMIN', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'ANY', 'Query', 'ANY', 1486408121, 1486408121, 'True', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'FundFund', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'Action', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'Attribute', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'ChargeRate', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'Constraint', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'Object', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'Organization', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'AccountUser', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'QuoteChargeRate', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'LienAllocation', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'Role', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'RoleAction', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'RoleUser', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'System', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('OVERRIDE', 'Fund', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('OVERRIDE', 'Allocation', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('OVERRIDE', 'Account', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('OVERRIDE', 'Quote', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('OVERRIDE', 'Lien', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('OVERRIDE', 'Transaction', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('OVERRIDE', 'UsageRecord', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_action (g_role, g_object, g_name, g_instance, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('OVERRIDE', 'User', 'Query', 'ANY', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_role_user (g_role, g_name, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('SystemAdmin', 'mam', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_user (g_role, g_name, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Anonymous', 'ANY', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_user (g_role, g_name, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Scheduler', 'root', 1486408121, 1486408121, 'False', 0, 0);
INSERT INTO g_role_user (g_role, g_name, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('OVERRIDE', 'ANY', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_system (g_name, g_version, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id) VALUES ('Moab Accounting Manager', '9.1', 'Commercial Release', 1486408121, 1486408121, 'False', 0, 0);

INSERT INTO g_user (g_name, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id, g_active, g_common_name, g_phone_number, g_email_address, g_default_account) VALUES ('mam', 'Accounting Admin', 1486408121, 1486408121, 'False', 0, 0, 'True', NULL, NULL, NULL, NULL);
INSERT INTO g_user (g_name, g_description, g_creation_time, g_modification_time, g_deleted, g_request_id, g_transaction_id, g_active, g_common_name, g_phone_number, g_email_address, g_default_account) VALUES ('root', 'Moab Admin', 1486408121, 1486408121, 'False', 0, 0, 'False', NULL, NULL, NULL, NULL);

CREATE INDEX g_account_deleted_idx ON g_account (g_deleted);

CREATE INDEX g_account_name_idx ON g_account (g_name);

CREATE INDEX g_account_txnid_idx ON g_account (g_transaction_id);

CREATE INDEX g_account_user_account_idx ON g_account_user (g_account);

CREATE INDEX g_account_user_deleted_idx ON g_account_user (g_deleted);

CREATE INDEX g_account_user_name_idx ON g_account_user (g_name);

CREATE INDEX g_account_user_txnid_idx ON g_account_user (g_transaction_id);

CREATE INDEX g_action_deleted_idx ON g_action (g_deleted);

CREATE INDEX g_action_name_idx ON g_action (g_name);

CREATE INDEX g_action_object_idx ON g_action (g_object);

CREATE INDEX g_action_txnid_idx ON g_action (g_transaction_id);

CREATE INDEX g_allocation_deleted_idx ON g_allocation (g_deleted);

CREATE INDEX g_allocation_id_idx ON g_allocation (g_id);

CREATE INDEX g_allocation_txnid_idx ON g_allocation (g_transaction_id);

CREATE INDEX g_attribute_deleted_idx ON g_attribute (g_deleted);

CREATE INDEX g_attribute_name_idx ON g_attribute (g_name);

CREATE INDEX g_attribute_object_idx ON g_attribute (g_object);

CREATE INDEX g_attribute_txnid_idx ON g_attribute (g_transaction_id);

CREATE INDEX g_charge_deleted_idx ON g_charge (g_deleted);

CREATE INDEX g_charge_rate_deleted_idx ON g_charge_rate (g_deleted);

CREATE INDEX g_charge_rate_name_idx ON g_charge_rate (g_name);

CREATE INDEX g_charge_rate_txnid_idx ON g_charge_rate (g_transaction_id);

CREATE INDEX g_charge_rate_value_idx ON g_charge_rate (g_value);

CREATE INDEX g_charge_txnid_idx ON g_charge (g_transaction_id);

CREATE INDEX g_constraint_deleted_idx ON g_constraint (g_deleted);

CREATE INDEX g_constraint_id_idx ON g_constraint (g_id);

CREATE INDEX g_constraint_txnid_idx ON g_constraint (g_transaction_id);

CREATE INDEX g_event_deleted_idx ON g_event (g_deleted);

CREATE INDEX g_event_id_idx ON g_event (g_id);

CREATE INDEX g_event_txnid_idx ON g_event (g_transaction_id);

CREATE INDEX g_fund_deleted_idx ON g_fund (g_deleted);

CREATE INDEX g_fund_fund_deleted_idx ON g_fund_fund (g_deleted);

CREATE INDEX g_fund_fund_fund_idx ON g_fund_fund (g_fund);

CREATE INDEX g_fund_fund_id_idx ON g_fund_fund (g_id);

CREATE INDEX g_fund_fund_txnid_idx ON g_fund_fund (g_transaction_id);

CREATE INDEX g_fund_id_idx ON g_fund (g_id);

CREATE INDEX g_fund_txnid_idx ON g_fund (g_transaction_id);

CREATE INDEX g_key_generator_name_idx ON g_key_generator (g_name);

CREATE INDEX g_lien_allocation_deleted_idx ON g_lien_allocation (g_deleted);

CREATE INDEX g_lien_allocation_id_idx ON g_lien_allocation (g_id);

CREATE INDEX g_lien_allocation_lien_idx ON g_lien_allocation (g_lien);

CREATE INDEX g_lien_allocation_txnid_idx ON g_lien_allocation (g_transaction_id);

CREATE INDEX g_lien_deleted_idx ON g_lien (g_deleted);

CREATE INDEX g_lien_id_idx ON g_lien (g_id);

CREATE INDEX g_lien_txnid_idx ON g_lien (g_transaction_id);

CREATE INDEX g_notification_deleted_idx ON g_notification (g_deleted);

CREATE INDEX g_notification_id_idx ON g_notification (g_id);

CREATE INDEX g_notification_txnid_idx ON g_notification (g_transaction_id);

CREATE INDEX g_object_deleted_idx ON g_object (g_deleted);

CREATE INDEX g_object_name_idx ON g_object (g_name);

CREATE INDEX g_object_txnid_idx ON g_object (g_transaction_id);

CREATE INDEX g_organization_deleted_idx ON g_organization (g_deleted);

CREATE INDEX g_organization_name_idx ON g_organization (g_name);

CREATE INDEX g_organization_txnid_idx ON g_organization (g_transaction_id);

CREATE INDEX g_password_deleted_idx ON g_password (g_deleted);

CREATE INDEX g_password_txnid_idx ON g_password (g_transaction_id);

CREATE INDEX g_password_user_idx ON g_password (g_user);

CREATE INDEX g_quote_charge_rate_deleted_idx ON g_quote_charge_rate (g_deleted);

CREATE INDEX g_quote_charge_rate_name_idx ON g_quote_charge_rate (g_name);

CREATE INDEX g_quote_charge_rate_quote_idx ON g_quote_charge_rate (g_quote);

CREATE INDEX g_quote_charge_rate_txnid_idx ON g_quote_charge_rate (g_transaction_id);

CREATE INDEX g_quote_charge_rate_value_idx ON g_quote_charge_rate (g_value);

CREATE INDEX g_quote_deleted_idx ON g_quote (g_deleted);

CREATE INDEX g_quote_id_idx ON g_quote (g_id);

CREATE INDEX g_quote_txnid_idx ON g_quote (g_transaction_id);

CREATE INDEX g_role_action_deleted_idx ON g_role_action (g_deleted);

CREATE INDEX g_role_action_name_idx ON g_role_action (g_name);

CREATE INDEX g_role_action_role_idx ON g_role_action (g_role);

CREATE INDEX g_role_action_txnid_idx ON g_role_action (g_transaction_id);

CREATE INDEX g_role_deleted_idx ON g_role (g_deleted);

CREATE INDEX g_role_name_idx ON g_role (g_name);

CREATE INDEX g_role_txnid_idx ON g_role (g_transaction_id);

CREATE INDEX g_role_user_deleted_idx ON g_role_user (g_deleted);

CREATE INDEX g_role_user_name_idx ON g_role_user (g_name);

CREATE INDEX g_role_user_role_idx ON g_role_user (g_role);

CREATE INDEX g_role_user_txnid_idx ON g_role_user (g_transaction_id);

CREATE INDEX g_system_deleted_idx ON g_system (g_deleted);

CREATE INDEX g_system_name_idx ON g_system (g_name);

CREATE INDEX g_system_txnid_idx ON g_system (g_transaction_id);

CREATE INDEX g_transaction_created_idx ON g_transaction (g_creation_time);

CREATE INDEX g_transaction_deleted_idx ON g_transaction (g_deleted);

CREATE INDEX g_transaction_id_idx ON g_transaction (g_id);

CREATE INDEX g_transaction_txnid_idx ON g_transaction (g_transaction_id);

CREATE INDEX g_usage_record_deleted_idx ON g_usage_record (g_deleted);

CREATE INDEX g_usage_record_id_idx ON g_usage_record (g_id);

CREATE INDEX g_usage_record_txnid_idx ON g_usage_record (g_transaction_id);

CREATE INDEX g_user_deleted_idx ON g_user (g_deleted);

CREATE INDEX g_user_name_idx ON g_user (g_name);

CREATE INDEX g_user_txnid_idx ON g_user (g_transaction_id);

CREATE INDEX g_id_not_deleted_idx ON g_lien (g_deleted) WHERE NOT g_deleted='True';
CREATE INDEX g_lien_alloc_fund_where_idx ON g_lien_allocation (g_fund) WHERE g_deleted!='True';
CREATE INDEX g_allocation_fund_idx ON g_allocation (g_fund);
CREATE INDEX g_allocation_time_idx ON g_allocation (g_start_time, g_end_time);
CREATE INDEX g_transaction_fund_idx ON g_transaction (g_fund);
CREATE INDEX g_transaction_delta_idx ON g_transaction (g_delta);
CREATE INDEX g_lien_instance_idx ON g_lien (g_instance);
CREATE INDEX g_lien_time_idx ON g_lien (g_start_time, g_end_time);
CREATE INDEX g_quote_time_idx ON g_quote (g_start_time, g_end_time);
CREATE INDEX g_lien_allocation_fund_idx ON g_lien_allocation (g_fund);
